{
  "type": "minecraft:cache_once",
  "argument": {
    "type": "minecraft:add",
    "argument1": -0.88,
    "argument2": {
      "type": "minecraft:mul",
      "argument1": -0.42,
      "argument2": {
        "type": "minecraft:noise",
        "noise": "minecraft:spaghetti_2d_thickness",
        "xz_scale": 2.4,
        "y_scale": 0.85
      }
    }
  }
}